BIRT 4.7.0 runtime in Maven

Why the BIRT 4.7.0 runtime is not available in a maven repository? Do you have plans to add it here?

Answers

  • could you please provide more info what you are trying to achieve, so we can suggest you what is supported with BIRT.

  • To achieve your requirement

  • We use Maven to add BIRT runtime libraries to our application. One of the functionality of our application is generate reports.

  • Also we have following problem: Class path contains multiple SLF4J bindings. It is impossible to exclude dependencies because org.slf4j classes are baked into org.eclipse.birt.runtime-4.7.0-20170622.jar.

Sign In or Register to comment.